*,
*::before,
*::after {
    box-sizing: border-box;
}

body {  
    display: grid;
    min-height: 100vh;
    place-items: center;
    line-height: 1.6;
    background: #212121;
    font-family: sans-serif;
    padding-right: 15em;
}

.card {
    color: white;
    background-image: url(/Users/mellouk/css-card/css-card/paris.png);
    background-size: cover;
    padding: 10rem 0 0;
    max-width: 35ch;
    border-radius: 1rem;
    overflow: hidden; 

    transition: transform 500ms ease;
}

.card:hover,
.card:focus-within {
    transform: scale(1.05);
}
.card-content {
    --padding: 1.5rem;
    padding: var(--padding);
    background:linear-gradient(
        hsl(0 0% 0% / 0),
        hsl(20 0% 0% / 0.3) 20%,
        hsl(0 0% 0% / 1)
    );  

    
}

@media (hover) {
    .card-content { 
       transform:  translateY(65%);
       transition: transform 500ms ease}
       .card:hover .card-content,
.card:focus-within .card-content {
    transform: translateY(0);
    transition-delay: 500ms;
}

.card:focus-within .card-content {
    transition-duration: 0ms;
}

.card-content > *:not(.card-title) {
    opacity: 0; 
    transition: opacity 500ms linear;
}
.card:hover .card-content > *:not(.card-title),
.card:focus-within .card-content > *:not(.card-title){
    opacity: 1; 
    transition-delay: 700ms;
}
.card-title::after {
    transform: scaleX(0)
}
}



.card-title {
    
    position: relative;
    width: max-content;
}

.card-title::after {
    content: "";
    position: absolute;
    height: 4px;
    left: calc(var(--padding) * -1);
    bottom: 0;
    width: calc(100% + var(--padding));
    background: #ef233c;

    transform: scaleX(0);
    transform-origin: left;
    transition: transform 500ms ease;
}

.card:hover .card-title::after,
.card:focus-within .card-title::after  {
    transform: scaleX(1);
}

.button {
    cursor: pointer;
    display: inline;
    text-decoration: none;
    color: white;
    background-color: #ef233c;
    padding: .5em 1.25em;
    border-radius: 0.25rem;
}

.button:hover,
.button:focus {
    background-color: white;
    color: #212121;
}


